﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default4.aspx.cs" Inherits="Default4" %>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />

</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager runat="server" ID="rsm1">
        </telerik:RadScriptManager>

 

        <telerik:RadGrid runat="server" ID="rg1" DataSourceID="SqlDataSource1" AutoGenerateColumns="false" AllowAutomaticUpdates="True" AllowAutomaticInserts="True"
            AllowAutomaticDeletes="true" AllowPaging="true" PageSize="10">
            <MasterTableView>
                <Columns>
                    <telerik:GridEditCommandColumn></telerik:GridEditCommandColumn>
                    <telerik:GridTemplateColumn HeaderText="Category ID" DataField="CategoryID">
                        <ItemTemplate>
                            CategoryID: 
                            <%# Eval("CategoryID") %>
                        </ItemTemplate>
                        <EditItemTemplate>
                            Select category: 
<%--
                            When the RadRadioButtonList is data bound, the SelectedValue does not pre-select the item
                            the write-mode binding works, though.
                            A workaround is one of the following options:
                            - use declarative items if possible
                            - use the asp radio button list and a RadFormDecorator for uniform appearance
    --%>


                            <telerik:RadRadioButtonList runat="server" ID="rbl1" AutoPostBack="false" SelectedValue='<%#Bind("CategoryID") %>' 
                                DataSourceID="SqlDataSource2">
                                <DataBindings DataValueField="CategoryID" DataTextField="CategoryName" />
                               <%-- <Items>
                                    <telerik:ButtonListItem Text="Beverages" Value="1" />
                                    <telerik:ButtonListItem Text="Condiments" Value="2" />
                                    <telerik:ButtonListItem Text="Confections" Value="3" />
                                    <telerik:ButtonListItem Text="Dairy Products" Value="4" />
                                    <telerik:ButtonListItem Text="Grains/Cereals" Value="5" />
                                    <telerik:ButtonListItem Text="Meat/Poultry" Value="6" />
                                    <telerik:ButtonListItem Text="Produce" Value="7" />
                                    <telerik:ButtonListItem Text="Seafood" Value="8" />
                                </Items>--%>
                            </telerik:RadRadioButtonList>

                            <%-- <asp:RadioButtonList runat="server" ID="bl1" AutoPostBack="false" SelectedValue='<%#Bind("CategoryID") %>'
                                DataSourceID="SqlDataSource2" DataTextField="CategoryName" DataValueField="CategoryID">
                            </asp:RadioButtonList>--%>
                        </EditItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridBoundColumn DataField="ProductID" HeaderText="Product ID"></telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ProductName" HeaderText="Product Name"></telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>

      <%--  <telerik:RadFormDecorator runat="server" ID="rfd1" DecoratedControls="RadioButtons" />--%>

        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = @ProductID"
            InsertCommand="INSERT INTO [Products] ([ProductName], [CategoryID]) VALUES (@ProductName, @CategoryID)"
            SelectCommand="SELECT [ProductID], [ProductName], [Products].[CategoryID], [Categories].[CategoryName] as CategoryName FROM [Products] JOIN Categories ON Products.CategoryID=Categories.CategoryID"
            UpdateCommand="UPDATE [Products] SET [ProductName] = @ProductName, [CategoryID] = @CategoryID WHERE [ProductID] = @ProductID">
            <DeleteParameters>
                <asp:Parameter Name="ProductID" Type="Int32"></asp:Parameter>
            </DeleteParameters>
            <InsertParameters>
                <asp:Parameter Name="ProductName" Type="String"></asp:Parameter>
                <asp:Parameter Name="CategoryID" Type="Int32"></asp:Parameter>
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="ProductName" Type="String"></asp:Parameter>
                <asp:Parameter Name="CategoryID" Type="Int32"></asp:Parameter>
                <asp:Parameter Name="ProductID" Type="Int32"></asp:Parameter>
            </UpdateParameters>
        </asp:SqlDataSource>

        <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            ProviderName="System.Data.SqlClient"
            SelectCommand="SELECT [CategoryID], [CategoryName] FROM [Categories]"></asp:SqlDataSource>



    </form>
</body>
</html>
